theme = "gruvbox-dark"
icons = "awesome5"

[[block]]
block = "pomodoro"
length = 25
break_length = 5
message = "Take a break!"
break_message = "Back to work!"
notifier = "notifysend"

[[block]]
block = "time"
interval = 60
format = "%a %d/%m %R"

[[block]]
block = "sound"
driver = "pulseaudio"
on_click = "pavucontrol"
step_width = 5
show_volume_when_muted = true

[[block]]
block = "cpu"
interval = 5
format = "{barchart} {utilization} {frequency}"

[[block]]
block = "memory"
format_mem = "{mem_used} /{mem_total}({mem_used_percents})"
display_type = "memory"
icons = true
clickable = true
interval = 5
warning_mem = 80
critical_mem = 95
interval = 5

[[block]]
block = "load"
format = "1min avg: {1m}"
interval = 5

[[block]]
block = "backlight"

[[block]]
block = "battery"
interval = 10
format = "{percentage}% {time}"

[[block]]
block = "networkmanager"
on_click = "kitty -e nmtui"
interface_name_exclude = ["br\\-[0-9a-f]{12}", "docker\\d+"]
interface_name_include = []

[[block]]
block = "music"
player = "mpd"
buttons = ["play", "next"]

[[block]]
block = "bluetooth"
hide_disconnected = true
mac = "74:45:CE:BA:F1:E4"
format = "Sony {percentage}"

[[block]]
block = "bluetooth"
hide_disconnected = true
mac = "00:16:94:28:9F:C2"
format = "HD 4.40BT {percentage}"
